Name:    monsterz
Version: 0.7.1
Release: %mkrel 8
# in reality, this is the DWYF license..
License: WTFPL
Group:   Games/Puzzles
Summary: A little addictive puzzle game
Source:  http://sam.zoy.org/projects/monsterz/%{name}-%{version}.tar.bz2
#gw Debian man page
Source1:    monsterz.1
Patch:      monsterz-fix-crash-x86_64.patch
#gw from Debian, fix crash on start (bug #49431)
Patch1:     020_fix_blit_crash.diff
Url:        http://sam.zoy.org/projects/monsterz

Requires:   pygame
BuildArch:  noarch
BuildRequires: imagemagick

%description
Monsterz is a little puzzle game, similar to the famous Bejeweled or Zookeeper.

The goal of the game is to create rows of similar monsters, either horizontally
or vertically. The only allowed move is the swap of two adjacent monsters, on
the condition that it creates a row of three or more. When alignments are
cleared, pieces fall from the top of the screen to fill the board again. Chain
reactions earn you even more points.

This game is mostly about luck, but it remains highly addictive. You have been
warned.

%prep
%setup -q
%patch -p0
%patch1 -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_gamesdatadir}/%{name}
cp -R monsterz.py graphics/ sound/ $RPM_BUILD_ROOT/%{_gamesdatadir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%{_gamesbindir}/

cat > $RPM_BUILD_ROOT/%{_gamesbindir}/%{name} <<EOF
#!/bin/bash
exec python %{_gamesdatadir}/%{name}/monsterz.py
EOF

chmod 755 $RPM_BUILD_ROOT/%{_gamesbindir}/%{name}


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Monsterz
Comment=Addictive puzzle game
Exec=%_gamesbindir/%{name}
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;BlocksGame;
EOF

mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir}}/
convert -geometry 16x16 graphics/icon.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -geometry 32x32 graphics/icon.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 48x48 graphics/icon.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -D %SOURCE1 %buildroot%_mandir/man6/%name.6


%files
%doc AUTHORS COPYING INSTALL README TODO
%{_gamesdatadir}/%{name}/
%{_gamesbindir}/%{name}
%_mandir/man6/%name.6*
%_datadir/applications/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.7.1-8.mga3
+ Revision: 360270
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 malo <malo> 0.7.1-7.mga2
+ Revision: 217798
- spec clean-up after import from Mandriva.
- imported package monsterz

